Preloader

Exemples en direct

Utilisez les clés PRODUCTION avec https://heyqo.cash/business/v1. Les étapes 3+ créent de vraies ressources et peuvent engendrer des frais.

Étape 1 — Token

curl -X POST "https://heyqo.cash/business/v1/authentication/token" \
  -H "Content-Type: application/json" \
  -d '{"client_id":"YOUR_CLIENT_ID","secret_id":"YOUR_SECRET"}'

Étape 2 — Lister les clients (lecture seule)

curl "https://heyqo.cash/business/v1/customers?page=1&size=10" \
  -H "Authorization: Bearer YOUR_TOKEN"

Étape 3 — Créer un client (KYC complet)

curl -X POST "https://heyqo.cash/business/v1/customers" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name":"Bellamy",
    "last_name":"TestClient",
    "email":"you@company.com",
    "phone":"+50949324932",
    "country_code":"HT",
    "date_of_birth":"1990-05-15",
    "document_type":"NATIONAL_ID",
    "document_number":"GOV-123456",
    "document_front_base64":"BASE64...",
    "address_street":"12 Rue Capois",
    "address_city":"Port-au-Prince",
    "address_state":"Ouest",
    "address_postal_code":"6110",
    "proof_of_address_base64":"BASE64...",
    "pof_employment_status":"employed",
    "pof_occupation":"151252",
    "pof_primary_purpose":"personal_or_living_expenses",
    "pof_source_of_funds":"salary",
    "pof_expected_monthly_pay":"0_4999"
  }'

Voir Customers pour tous les noms de champs KYC et valeurs autorisées.

Étape 4 — Émettre une carte virtuelle

curl -X POST "https://heyqo.cash/business/v1/cards" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "customer_id": "CUSTOMER_ID",
    "currency": "usd",
    "brand": "visa"
  }'

Voir Cartes virtuelles pour dépôt, retrait, gel et résiliation.

Étape 5 — Alimenter la carte virtuelle

curl -X POST "https://heyqo.cash/business/v1/cards/CARD_ID/deposit" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"amount": 25.00, "currency": "usd"}'